%define oname	Solaar

Name:		solaar
Version:	0.9.2
Release:	%mkrel 0.2
License:	GPLv2
Summary:	Device manager for Logitech Unifying Receiver
Summary(fr_FR):	Gestionnaire de périphériques pour les récepteurs Logitech Unifying
URL:		http://pwr.github.io/Solaar/
Group:		System/Kernel and hardware
# wget https://github.com/pwr/%%{oname}/archive/%%{version}.tar.gz -O %%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch

Requires:	pyudev
Requires:	python-gtk 
Requires:	python-gobject

%description
Solaar is a Linux device manager for Logitech's Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for each
device, and also pair/unpair supported devices with the receiver.

%description -l fr_FR
Solaar est un gestionnaire de périphérique Linux pour les récepteurs 
"Unifying" des périphériques Logitech.
Il est capable d'appairer/désapparier des appareils au récepteur, et
pour la plupart des appareils lire l'état de la batterie.

Il est disponible sous deux formes, la ligne de commande et l'interface 
graphique. 
Les deux sont en mesure d'énumérer les appareils associés à un récepteur 
Unifying, de montrer les informations détaillées pour chaque appareil, 
et également d'appairer/désapparier des dispositifs pris en charge 
avec le récepteur.

%prep
%setup -q -n %{oname}-%{version}

# For create .mo files
sh ./tools/po-compile.sh

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

mkdir -p %{buildroot}%{_udevrulesdir}
cp rules.d/42-logitech-unify-permissions.rules %{buildroot}%{_udevrulesdir}

%find_lang %{name}

%files -f %{name}.lang
%doc COPYRIGHT ChangeLog COPYING share/README docs
%dir %{_datadir}/%{name}/
%dir %{python_sitelib}/*
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/%{name}/*
%{_iconsdir}/*/*/*/%{name}.svg
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{python_sitelib}/*/*
%config %{_udevrulesdir}/42-logitech-unify-permissions.rules


%changelog
* Thu Aug 08 2013 david.david (MLO Team) <david.david> 0.9.2-0.2.mga3
+ Rebuild package for Mageia 3 (Core)
- add lang French and Swedich

* Sat Aug 03 2013 david.david (MLO Team) <david.david> 0.9.2-0.1.mga3
+ Rebuild package for Mageia 3 (Core)
- new version: 0.9.2
- add lang Polish and Romanian

* Sat Jul 20 2013 david.david (MLO Team) <david.david> 0.9.1-0.1.mga3
- added an autostart .desktop file
- new version: 0.9.1

* Thu Jul 11 2013 david.david (MLO Team) <david.david> 0.9.0-0.1.mga3
+ Rebuild package for Mageia 3 (Core)
- new version: 0.9.0

	+ dams <dams> 
	  + Revision: 452304
	  - new version 0.9.0
	  - add libappindicator3_1 as a require

* Sat Jun 29 2013 david.david (MLO Team) <david.david> 0.8.99.7-0.1.mga3
+ Rebuild package for Mageia 3 (Core)
- new version: 0.8.99.7
- fix with better icons with svg format

	+ dams <dams> 
	  + Revision: 446571
	  - new version 0.8.99.7

* Tue Jun 18 2013 david.david (MLO Team) <david.david> 0.8.9.4-0.1.mga3
+ Rebuild package for Mageia 3 (Core)
- new version: 0.8.9.4

	+ dams <dams>
	  + Revision: 444640
	  - new version 0.8.9.4
	  - update specfile

* Mon Jun 10 2013 david.david (MLO Team) <david.david> 0.8.9.2-2.mga3
+ Revision: 2
- fix the "non access to /dev/hidraw{0,1}"

	+ dams <dams>
	  + Revision: 441376
	  - use TAG+="uaccess" instead of non existing/used user group
	  - rename udev.rules to be done before 73

* Sun Jun 09 2013 david.david (MLO Team) <david.david> 0.8.9.2-1.mga3
+ Revision: 1
- minor change to source package
- remove to open desktop file entry as root (solaar *must not* be used as root!)(mga#9987)
- new version: 0.8.9.2

	* Improved support for gnome-shell/Unity.
	* Fixed reading of MK700 keyboard battery status.
	* Use battery icons from the current theme instead of custom ones.
	* Debian/Ubuntu packages now depend on an icon theme, to make sure
	no missing icons appear in the application window.
	
	+ dams <dams>
	  + Revision: 440675
	  - Adds missing icons (mga#9987)
	  + Revision: 440222
	  - new version 0.8.9.2
	  - fix license
	  + Revision: 436891
	  - fix specfile for udev rules
	  - imported package solaar

* Sat May 25 2013 david.david (MLO Team) <david.david> 0.8.8.1-1.mga3
+ Revision: 1
- minor change to source package
- fix to open desktop entry as root
- new version: 0.8.8.1

	* Improved support for some devices: M510, K800, Performance MX.
	* Improved battery support for some HID++ 1.0 devices.
	* Properly handle device loss on computer sleep/wake.
	* Better handling of receiver adding and removal at runtime.
	* Removed a few more unhelpful notifications.
	* Incipient support for multiple connected receivers.
	* More Python 3 fixes.

* Thu May 09 2013 david.david (MLO Team) <david.david> 0.8.8-1.mga3
+ Revision: 1
- fix icons path
- new version: 0.8.8

	* Improved support for some devices: M510, K800, Performance MX.
	* Improved battery support for some HID++ 1.0 devices.
	* Properly handle device loss on computer sleep/wake.
	* Better handling of receiver adding and removal at runtime.
	* Removed a few more unhelpful notifications.
	* Incipient support for multiple connected receivers.
	* More Python 3 fixes.

* Wed May 08 2013 david.david (MLO Team) <david.david> 0.8.7-2.mga3
+ Rebuild package for Mageia 3 (Core)
- version: 0.8.7
- correcting line %%Source
- corecting "spec" file 
- add french language in %%description and %%Summary
- update rpm Group
- use /usr/lib/udev/rules.d (for Mageia 3)

* Tue May 07 2013 Olivier Delaune <olivier.delaune@wanadoo.fr> 0.8.7-1.mga2
- Initial version
